import Foundation

extension Page {

    static var empty: Page {
        .init(
            content: .mock,
            id: "my-id",
            externalLink: nil,
            isDraft: true,
            createdDate: Date(),
            hideDate: false,
            startDate: Date().addingTimeInterval(-86400),
            endDate: nil,
            german: .german,
            english: .english,
            tags: [.mock],
            requiredFiles: [])
    }
}

extension LocalizedPage {

    static let english = LocalizedPage(
        content: .mock,
        urlString: "my-project",
        title: "My First Project",
        lastModified: nil,
        originalUrl: "projects/electronics/my-first-project/en.html")

    static let german = LocalizedPage(
        content: .mock,
        urlString: "mein-projekt",
        title: "Mein Erstes Projekt",
        lastModified: nil,
        originalUrl: "projects/electronics/my-first-project/de.html")
}
